## python-lupa 2.2+dfsg

=== requirements.txt ===
Cython>=3.0.9
setuptools
