## python-lupa 1.6+dfsg

=== debian/changelog ===
python-lupa (1.6+dfsg-3) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Remove ancient X-Python-Version field
  * d/control: Remove ancient X-Python3-Version field

  [ Michael Fladischer ]
  * Rely on liblua in case libluajit is not available, thanks to
    Frédéric Bonnard for the patch (Closes: #892906).
  * Clean up lupa/_lupa.so to allow two builds in a row.
  * Bump Standards-Version to 4.1.5.

 -- Michael Fladischer <fladi@debian.org>  Thu, 26 Jul 2018 23:03:44 +0200

python-lupa (1.6+dfsg-2) unstable; urgency=medium

  * Team upload.

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org

  [ Ondřej Kobližek ]
  * d/control: Python2 package enable
  * d/rules: Python2 package enable

 -- Ondřej Kobližek <koblizeko@gmail.com>  Thu, 05 Apr 2018 07:57:23 +0200

python-lupa (1.6+dfsg-1) unstable; urgency=low

  * New upstream release.
  * Add debian/gbp.conf.
  * Bump debhelper compatibility and version to 11.
  * Bump Standards-Version to 4.1.3.
  * Run wrap-and-sort -bast to reduce diff size of future changes.
  * Clean up lupa.egg-info/PKG-INFO to allow two builds in a row.
  * Add patch to fix reading UTF-8 files in setup.py for Python3.
  * Enable autopkgtest-pkg-python testsuite.

 -- Michael Fladischer <fladi@debian.org>  Mon, 08 Jan 2018 22:00:01 +0100

python-lupa (1.5+dfsg-1) unstable; urgency=low

  * Initial release (Closes: #878973).

 -- Michael Fladischer <fladi@debian.org>  Wed, 18 Oct 2017 08:44:42 +0200
