=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

export PYBUILD_NAME=lupa
export PYBUILD_BEFORE_BUILD=rm -f lupa/_lupa.c

%:
	dh $@ --with python2,python3 --buildsystem=pybuild
