## python-lupa 1.9%2Bdfsg

=== debian/changelog ===
python-lupa (1.9+dfsg-1) unstable; urgency=low

  [ Ondřej Nový ]
  * Bump Standards-Version to 4.4.1.

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit.

  [ Michael Fladischer ]
  * New upstream release.
  * Acknowledge d/watch fix by Diego M. Rodriguez <diego@moreda.io> but
    restore repack suffix.
  * Drop Python3 support patche, integrated upstream.
  * Bump Standards-Version to 4.5.0.
  * Set Rules-Requires-Root: no.

 -- Michael Fladischer <fladi@debian.org>  Wed, 05 Feb 2020 13:57:29 +0100

python-lupa (1.6+dfsg-4) unstable; urgency=low

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.

  [ Michael Fladischer ]
  * Bump debhelper version to 12.
  * Bump Standards-Version to 4.4.0.
  * Remove Python2 support.

 -- Michael Fladischer <fladi@debian.org>  Fri, 26 Jul 2019 11:25:43 +0200
