## python-lupa 1.9+dfsg

=== debian/changelog ===
python-lupa (1.9+dfsg-1build1) focal; urgency=medium

  * No-change rebuild to drop python3.7.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 18 Feb 2020 10:23:24 +0100
