=== debian/rules ===
--- 
+++ 
@@ -11,4 +11,4 @@
 export PYBUILD_BEFORE_BUILD=rm -f lupa/_lupa.c
 
 %:
-	dh $@ --with python2,python3 --buildsystem=pybuild
+	dh $@ --with python3 --buildsystem=pybuild
