## python-lupa 1.13+dfsg

=== debian/changelog ===
python-lupa (1.13+dfsg-1) unstable; urgency=low

  * New upstream release.
  * Depend on python3-all for autopkgtests.
  * Update year in d/copyright.

 -- Michael Fladischer <fladi@debian.org>  Wed, 09 Mar 2022 21:55:15 +0000
