## python-lupa 2.2+dfsg

=== debian/changelog ===
python-lupa (2.2+dfsg-1) unstable; urgency=medium

  * Team Upload
  * New upstream version 2.2+dfsg
  * Switch to pybuild-plugin-pyproject
  * Replace obsolete pkg-config with pkgconf
  * Enable most tests at build-time

 -- Alexandre Detiste <tchet@debian.org>  Sat, 23 Nov 2024 15:08:35 +0100
