=== debian/control ===
--- 
+++ 
@@ -7,13 +7,15 @@
 Build-Depends:
  cython3,
  debhelper-compat (= 13),
- dh-python,
+ dh-sequence-python3,
  libluajit-5.1-dev [!s390x !alpha !hppa !ia64 !m68k !powerpcspe !sh4 !sparc64] | liblua5.1-0-dev,
- pkg-config,
+ pkgconf,
+ pybuild-plugin-pyproject,
  python3-all,
  python3-all-dev,
+ python3-pytest <!nocheck>,
  python3-setuptools,
-Standards-Version: 4.6.0.1
+Standards-Version: 4.6.1.0
 Homepage: https://github.com/scoder/lupa/
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-lupa
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-lupa.git
