=== debian/rules ===
--- 
+++ 
@@ -9,6 +9,8 @@
 
 export PYBUILD_NAME=lupa
 export PYBUILD_BEFORE_BUILD=rm -f lupa/_lupa.c
+export PYBUILD_BEFORE_TEST=mkdir {build_dir}/lupa ; cp -r {dir}/lupa/tests {build_dir}/lupa
+export PYBUILD_TEST_ARGS=lupa/tests/test.py -k 'not test_attrgetter_refcycle and not test_no_overflow and not test_pyfunc_refcycle and not test_runtime_cleanup'
 
 %:
-	dh $@ --with python3 --buildsystem=pybuild
+	dh $@ --buildsystem=pybuild
