## python-lupa 2.4+dfsg

=== debian/changelog ===
python-lupa (2.4+dfsg-1build2) resolute; urgency=medium

  * No-change rebuild with Python 3.14 as supported version

 -- Graham Inggs <ginggs@ubuntu.com>  Mon, 20 Oct 2025 14:45:25 +0000

python-lupa (2.4+dfsg-1build1) plucky; urgency=medium

  * No-change rebuild with Python 3.13 only

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 04 Mar 2025 19:08:56 +0000

python-lupa (2.4+dfsg-1) unstable; urgency=medium

  * Team Upload
  * New upstream version 2.4+dfsg
  * Reformat d/control with debputy
  * Trim autopkgtest deps

 -- Alexandre Detiste <tchet@debian.org>  Sat, 15 Feb 2025 13:03:39 +0100
