=== debian/control ===
--- 
+++ 
@@ -5,9 +5,9 @@
 Uploaders:
  Michael Fladischer <fladi@debian.org>,
 Build-Depends:
- cython3,
  debhelper-compat (= 13),
  dh-sequence-python3,
+ cython3,
  libluajit-5.1-dev [!s390x !alpha !hppa !ia64 !m68k !powerpcspe !sh4 !sparc64] | liblua5.1-0-dev,
  pkgconf,
  pybuild-plugin-pyproject,
@@ -21,6 +21,7 @@
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-lupa.git
 Testsuite: autopkgtest-pkg-python
 Rules-Requires-Root: no
+X-Style: black
 
 Package: python3-lupa
 Architecture: any
